/**
 * CRXHttpMessage.h
 */
#ifndef __CRXHTTPMESSAGE_H__
#define __CRXHTTPMESSAGE_H__

#include <string>

class CRXHttpMessage
{
protected:
	std::string	mHttpMessage;
	std::string	mHttpVersion;

public:
	CRXHttpMessage				(void);
	virtual ~CRXHttpMessage		(void);

protected:
	virtual void	Parse			(void) = 0;
	virtual void	Reset			(void) = 0;

public:
	void			SetMessage		(const char * aHttpMessage);
	std::string		GetMessage		(void) const;

	void			ResetMessage	(void);

	virtual CRXHttpMessage &	operator =	(const char * aHttpMessage) = 0;
};

#endif // #ifndef __CRXHTTPMESSAGE_H__
